<%- include ("layouts/header") %>
	
	<div class="container my-4">
		<div class="row text-center">
			<% videos.forEach(function (video) { %>
			<div class="col-md-3 mb-4">
				<div class="card h-100">
					<img src="<%= baseUrl + video.thumbnail %>" class="card-img-top">
					<div class="card-body">
						<h4 class="card-title"><%= video.title %></h4>
						<p class="card-text"><%= video.category %></p>

						<% 
							let videoDuration = (video.minutes * 60) + video.seconds;
						%>

						<div class="progress">
							<div class="progress-bar" 
							role="progressbar" 
							style="width: <%= Math.floor((video.watched/videoDuration) * 100) %>%;"
							aria-valuenow="<%= video.watched %>"
							aria-valuemin="0"
							aria-valuemax="<%= videoDuration %>">
								<% 
									let minutes = Math.floor(video.watched / 60);
									let seconds = video.watched - (minutes * 60);
								%>

								<%= minutes + ":" + seconds %>
							</div>
						</div>
					</div>
				</div>

				<div class="card-footer">
					<form class="deleteHistory">
						<input type="hidden" name="videoId" value="<%= video.videoId %>" class="deleteBtnID">
						<a href="/api/v1/video/watch/<%= video.watch %>" class="btn btn-primary">View</a>
						<input type="submit" name="deleteBtn" value="Delete" class="btn btn-danger deleteHistorVidBtn">
					</form>
				</div>
			</div>
			<% }) %>
		</div>
	</div>

<%- include ("layouts/footer") %>